/*
 * @(#)SearchCommand.java 5.1
 *
 */

package CH.ifa.draw.standard;

import de.renew.draw.ui.ontology.AbstractCommand;


/**
 *  The SearchCommand builds a SearchReplaceFrame
 *  in the SEARCHMODE.
 * @deprecated This class is not to be used externally and will later be hidden.
 */
@Deprecated(since = "5.0", forRemoval = true)
@SuppressWarnings("removal")
public class SearchCommand extends AbstractCommand {
    private final SearchReplaceFrame _searchFrame;

    public SearchCommand(String name) {
        super(name);
        _searchFrame = new SearchReplaceFrame(SearchReplaceFrame.SEARCHMODE);
    }

    @Override
    public void execute() {
        _searchFrame.reset();
        _searchFrame.setVisible(true);
    }

    @Override
    public boolean isExecutable() {
        return super.isExecutable();
    }
}